package com.casic.PgInterface.patroler.dto;

import com.casic.PgInterface.patroler.domain.PgInPgPerson;

/**
 * Created by yxw on 2018/3/22.
 */
public class PgInPgPersonDto{

    private String id;
    private String userName;//入廊人员
    private String phoneNumber;//联系方式
    private String userCode;//人员编号
    private String personType;//人员类别
    private String isInPg;
    private String assetCode;
    private String inPgNum;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPersonType() {
        return personType;
    }

    public void setPersonType(String personType) {
        this.personType = personType;
    }

    public String getIsInPg() {
        return isInPg;
    }

    public void setIsInPg(String isInPg) {
        this.isInPg = isInPg;
    }

    public String getInPgNum() {
        return inPgNum;
    }

    public void setInPgNum(String inPgNum) {
        this.inPgNum = inPgNum;
    }

    public String getAssetCode() {
        return assetCode;
    }

    public void setAssetCode(String assetCode) {
        this.assetCode = assetCode;
    }

    public PgInPgPersonDto(PgInPgPerson pgInPgPerson) {

        this.setId(String.valueOf(pgInPgPerson.getId()));
        this.setUserName(pgInPgPerson.getUserName());
        this.setUserCode(pgInPgPerson.getUserCode());
        this.setPhoneNumber(pgInPgPerson.getPhoneNumber());
        this.setPersonType(pgInPgPerson.getPersonType());
        this.setAssetCode(pgInPgPerson.getAssetCode());
        this.setIsInPg(String.valueOf(pgInPgPerson.getIsInPg()));
    }

}